import type * as core from '@contentlayer/core';
import { HashError } from '@contentlayer/utils';
import type { HasConsole, OT } from '@contentlayer/utils/effect';
import { T } from '@contentlayer/utils/effect';
import type { NotionRenderer } from '@notion-render/client';
import type * as notion from '@notionhq/client';
import type { PageObjectResponse } from '@notionhq/client/build/src/api-endpoints';
import { UnknownNotionError } from '../errors.js';
import type { GetFieldDataFunction } from '../mapping/index.js';
import type { DatabaseTypeDef } from '../schema/types.js';
type MakeDocumentError = core.UnexpectedMarkdownError | core.UnexpectedMDXError | HashError | UnknownNotionError;
export type MakeCacheItemArgs = {
    client: notion.Client;
    page: PageObjectResponse;
    renderer: NotionRenderer;
    databaseTypeDef: DatabaseTypeDef;
    documentTypeDef: core.DocumentTypeDef;
    options: core.PluginOptions;
};
export declare const makeCacheItem: ({ client, page, renderer, databaseTypeDef, documentTypeDef, options, ...rest }: MakeCacheItemArgs) => T.Effect<OT.HasTracer & HasConsole, MakeDocumentError, core.DataCache.CacheItem>;
export type GetDataForFieldDefArgs = MakeCacheItemArgs & Parameters<GetFieldDataFunction<any>>[0];
export {};
//# sourceMappingURL=page.d.ts.map