import * as tracing_1 from "@effect-ts/core/Tracing";
const fileName_1 = "packages/@contentlayer/source-notion/src/mapping/field-relation.ts";
const isSingle = (databaseFieldTypeDef) => {
    return (databaseFieldTypeDef &&
        'type' in databaseFieldTypeDef &&
        databaseFieldTypeDef.type === 'relation' &&
        databaseFieldTypeDef.single);
};
export const fieldRelation = {
    getFieldDef: ({ databaseFieldTypeDef }) => {
        if (isSingle(databaseFieldTypeDef)) {
            return {
                type: 'string',
            };
        }
        return {
            type: 'list',
            of: { type: 'string' },
        };
    },
    getFieldData: ({ property, databaseFieldTypeDef }) => {
        if (isSingle(databaseFieldTypeDef)) {
            return property.relation[0]?.id;
        }
        return property.relation.map((r) => r.id);
    },
};
//# sourceMappingURL=field-relation.js.map