import type * as core from '@contentlayer/core';
import type { NotionRenderer } from '@notion-render/client';
import type { DatabaseFieldTypeDef, DatabaseTypeDef } from '../schema/types.js';
import type { DatabaseProperty, DatabasePropertyTypes, DistributiveOmit, PageProperty, PagePropertyTypes } from '../types.js';
export type GetFieldDataFunction<T extends PagePropertyTypes> = (params: {
    fieldDef: core.FieldDef;
    databaseFieldTypeDef: DatabaseFieldTypeDef | undefined;
    databaseTypeDef: DatabaseTypeDef;
    options: core.PluginOptions;
    property: PageProperty<T>;
    renderer: NotionRenderer;
}) => any;
export type GetFieldDefFunction<T extends DatabasePropertyTypes = DatabasePropertyTypes> = (params: {
    options: core.PluginOptions;
    property: DatabaseProperty<T>;
    databaseFieldTypeDef: DatabaseFieldTypeDef | undefined;
    databaseTypeDef: DatabaseTypeDef;
    documentTypeDefMap: core.DocumentTypeDefMap;
}) => DistributiveOmit<core.FieldDef, 'name' | 'isSystemField' | 'default' | 'description' | 'isRequired'>;
export type FieldFunctions<T extends DatabasePropertyTypes = DatabasePropertyTypes> = {
    getFieldDef: GetFieldDefFunction<T>;
    getFieldData: GetFieldDataFunction<T>;
};
export declare const getFieldFunctions: <T extends "number" | "relation" | "formula" | "select" | "multi_select" | "status" | "rollup" | "title" | "rich_text" | "url" | "people" | "files" | "email" | "phone_number" | "date" | "checkbox" | "created_by" | "created_time" | "last_edited_by" | "last_edited_time" = "number" | "relation" | "formula" | "select" | "multi_select" | "status" | "rollup" | "title" | "rich_text" | "url" | "people" | "files" | "email" | "phone_number" | "date" | "checkbox" | "created_by" | "created_time" | "last_edited_by" | "last_edited_time">(type: DatabasePropertyTypes) => FieldFunctions<T> | undefined;
//# sourceMappingURL=index.d.ts.map